Package org.eclipse.birt.report.model.api.css

# Class StyleSheetException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.css.StyleSheetException

All Implemented Interfaces:
  `Serializable`

public class StyleSheetException extends ModelException
Exception thrown if an error occurs when reading an external style sheet.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION_STYLE_SHEET_NOT_FOUND`
The style sheet is not found.
`static final String`
`DESIGN_EXCEPTION_SYNTAX_ERROR`
The syntax error, when the style sheet file doesn't conform CSS2 grammar.

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`StyleSheetException(String errCode)`
Constructs the style sheet exception with the error code.
`StyleSheetException(String errCode, Throwable cause)`
Constructs the style sheet exception with the error code and the nested exception.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMessage()`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DESIGN_EXCEPTION_STYLE_SHEET_NOT_FOUND

public static final String DESIGN_EXCEPTION_STYLE_SHEET_NOT_FOUND
The style sheet is not found.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_SYNTAX_ERROR

public static final String DESIGN_EXCEPTION_SYNTAX_ERROR
The syntax error, when the style sheet file doesn't conform CSS2 grammar.

See Also:
  - Constant Field Values

## Constructor Details

### StyleSheetException

public StyleSheetException(String errCode)
Constructs the style sheet exception with the error code.

Parameters:
  `errCode` - the error code of the exception

### StyleSheetException

public StyleSheetException(String errCode, Throwable cause)
Constructs the style sheet exception with the error code and the nested exception.

Parameters:
  `errCode` - the error code of the exception
  `cause` - the nested exception

## Method Details

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `org.eclipse.birt.core.exception.BirtException`